/* From Uiverse.io by 00Kubi */
.container {
  position: relative;
  width: 190px;
  height: 254px;
  transition: 200ms;
}

.container-small {
  position: relative;
  width: 130px;
  height: 195px;
  transition: 200ms;
}

.container-large {
  position: relative;
  width: 300px;
  height: 300px;
  transition: 200ms;
}

#card {
  position: absolute;
  inset: 0;
  z-index: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  transition: 700ms;
  background: linear-gradient(45deg, #15284F, #15284F);
  border: 2px solid rgba(255, 255, 255, 0.1);
  overflow: hidden;
  box-shadow:
    0 0 20px rgba(0, 0, 0, 0.3),
    inset 0 0 20px rgba(0, 0, 0, 0.2);
}

/* .aladin-location {
  z-index: 20;
  position: absolute;
  top: 0px;
  padding: 2px 4px;
  background-color: #09070780;
  font-size: 11px;
}

.aladin-fov {
  z-index: 20;
  position: absolute;
  font-size: 12px;
  font-weight: 700;
  font-family: monospace;
  bottom: 0px;
  padding: 2px;
  color: #321bdf;
  background-color: #15141480;
} */

#card2 {
  position: absolute;
  inset: 0;
  z-index: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  transition: 700ms;
  border: 2px solid rgba(255, 255, 255, 0.1);
  overflow: hidden;
  box-shadow:
    0 0 2px rgba(0, 0, 0, 0.3),
    inset 0 0 2px rgba(0, 0, 0, 0.2);
}

.card-content {
  position: relative;
  width: 100%;
  height: 100%;
}

#prompt {
  bottom: 100px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 20;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: 2px;
  transition: 300ms ease-in-out;
  position: absolute;
  text-align: center;
  color: rgba(255, 255, 255, 0.7);
  text-shadow: 0 0 10px rgba(255, 255, 255, 0.3);
}

/* .title {
  opacity: 0;
  transition: 300ms ease-in-out;
  position: absolute;
  font-size: 28px;
  font-weight: 800;
  letter-spacing: 4px;
  text-align: center;
  width: 100%;
  padding-top: 20px;
  background: linear-gradient(45deg, #00ffaa, #00a2ff);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  filter: drop-shadow(0 0 15px rgba(0, 255, 170, 0.3));
  text-shadow:
    0 0 10px rgba(92, 103, 255, 0.5),
    0 0 20px rgba(92, 103, 255, 0.3);
} */

.title {
  position: absolute;
  bottom: 60px;
  width: 100%;
  text-align: center;
  font-size: 12px;
  letter-spacing: 2px;
  transform: translateY(30px);
  color: rgba(255, 255, 255, 0.6);
}

.subtitle {
  position: absolute;
  bottom: 40px;
  width: 100%;
  text-align: center;
  font-size: 12px;
  letter-spacing: 2px;
  transform: translateY(30px);
  color: rgba(255, 255, 255, 0.6);
}

.title-small {
  position: absolute;
  bottom: 60px;
  width: 100%;
  text-align: center;
  font-size: 10px;
  font-weight: 800;
  /* letter-spacing: 2px; */
  transform: translateY(30px);
  color: rgba(255, 255, 255, 0.6);
}

.subtitle-small {
  position: absolute;
  bottom: 42px;
  width: 100%;
  text-align: center;
  font-size: 10px;
  font-weight: 500;
  transform: translateY(30px);
  color: rgba(255, 255, 255, 0.6);
}

.subtitle2 {
  width: 100%;
  text-align: center;
  font-size: 10px;
  letter-spacing: 2px;
  color: rgba(58, 56, 56, 0.6);
}

.subtitle3 {
  width: 100%;
  text-align: center;
  font-size: 12px;
  font-weight: 800;
  letter-spacing: 2px;
  color: rgba(58, 56, 56, 0.6);
}

.card-coord {
  width: 80%;
  padding: 10px;
  /* display: flex; */
  justify-content: center;
  /* align-items: center; */
  overflow: hidden;
  /* text-align: center; */
}

.highlight {
  color: #00ffaa;
  margin-left: 5px;
  background: linear-gradient(90deg, #5c67ff, #ad51ff);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bold;
}

#card::before {
  content: "";
  opacity: 0;
  width: 150%;
  height: 150%;
  position: absolute;
  left: 50%;
  top: 50%;
  /* transform: scale(1.5); */
  transform: translate(-50%, -50%);
  transition: opacity 0.3s ease;
}

.container:hover #card::before {
  transition: 200ms;
  content: "";
  opacity: 80%;
}

.noselect {
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Old versions of Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
  /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

.corner-elements span {
  position: absolute;
  width: 15px;
  height: 15px;
  border: 2px solid rgba(92, 103, 255, 0.3);
}

.corner-elements span:nth-child(1) {
  bottom: 10px;
  left: 10px;
  border-right: 0;
  border-top: 0;
}

.corner-elements span:nth-child(2) {
  bottom: 10px;
  right: 10px;
  border-left: 0;
  border-top: 0;
}

.card-flip {
  width: 190px;
  height: 254px;
  transition: all 0.4s ease-in-out 2s;
  border-radius: 10px;
  font-size: 30px;
  font-weight: 900;
}

.card-flip:active {
  border-radius: 15px;
  cursor: pointer;
  transform: scale(1.0);
}

.first-content {
  height: 100%;
  width: 100%;
  transition: all 0.4s ease-in-out 2s;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 1;
}

.card-flip:hover .first-content {
  height: 0px;
  opacity: 0;
}

.second-content {
  height: 0%;
  width: 100%;
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.4s ease-in-out 2s;
  font-size: 0px;
  transform: translateY(100px);
}

.card-flip:hover .second-content {
  opacity: 1;
  height: 100%;
  font-size: 1.8rem;
  transform: translateY(0px);
}
/*
.card-flip {
  width: 190px;
  height: 254px;
  transition: all 0.4s;
  border-radius: 10px;
  font-size: 30px;
  font-weight: 900;
  position: relative;
  overflow: hidden;
}

.card-flip.active {
  border-radius: 15px;
  cursor: pointer;
  transform: scale(1.0);
}

.first-content {
  height: 100%;
  width: 100%;
  transition: all 0.4s;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 1;
}

.card-flip.active .first-content {
  height: 0px;
  opacity: 0;
}

.second-content {
  height: 0%;
  width: 100%;
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.4s;
  font-size: 0px;
  transform: translateY(100px);
}

.card-flip.active .second-content {
  opacity: 1;
  height: 100%;
  font-size: 1.8rem;
  transform: translateY(0px);
} */
